.Dd Feburary 29, 1996
.Dt QCAMCONTROL 1
.Os FreeBSD
.Sh NAME
.Nm qcamcontrol
.Nd Connectix QuickCam control utility
.Sh SYNOPSIS
.Nm qcamcontrol
.Op Fl b Ar brightness
.Op Fl c Ar contrast
.Op Fl d Ar depth
.Op Fl p Ar device
.Op Fl w Ar whitebalance
.Op Fl x Ar xsize
.Op Fl y Ar ysize
.Op Fl z Ar zoom
.Sh DESCRIPTION
.Nm Qcamcontrol
is a program to demonstrate control over the Connectix QuickCam(TM)
parallel port camera and to take a single frame picture.
.Pp
If the device not specified,
.Pa /dev/qcam0
is assumed.
If no command is given, then
.Nm
will use its defaults to grab a single frame from the camera.  The control
program will output a portable pixmap (ppm) file to stdout.
.Pp
The following options are available:
.Bl -tag -width indent
.It Fl b Ar brightness
Control the brightness of the picture (0..255).
.It Fl c Ar contrast
Control the contrast of the picture (0..255).
.It Fl d Ar depth
16 or 64 shades of gray (specified as 4 or 6 bits per pixel).
.It Fl p Ar device
Quickcam device (port) (default is
.Pa /dev/qcam0 )
.It Fl w Ar whitebalance
Amount of white in the picture (0..255).
.It Fl x Ar xsize
Width of image (320 or less).
.It Fl y Ar ysize
Height of image (240 or less).
.It Fl z Ar zoom
Zoom in (1x, 1.5x, or 2x).
.El
.Sh BUGS
.Nm Qcamcontrol
does not enforce a proper aspect ratio for x y sizes.
In practice, standard picture sizes are 320x240 and 180x160 and all smaller
sizes that maintain a similar aspect ratio.
Also, the camera is notoriously finicky until you get just the right
combination of white-balance, contrast, and brightness.  Improper values
will return all-black or all-white pictures.
.Sh FILES
.Bl -tag -width /dev/qcam0 -compact
.It Pa /dev/qcam0
.El
.Sh AUTHOR
.An Paul Traina
.Sh HISTORY
The
.Nm
command appeared in
.Fx 2.1.5 .
